CLUTTEX(1)

NAME
cluttex - a tool for processing TeX files

SYNOPSIS
cluttex -e ENGINE [options] [--] FILE.tex

DESCRIPTION
Process TeX files without cluttering your working directory.

The following options are accepted:

-e, --engine=ENGINE
    Specify which TeX engine to use. ENGINE is one of the following: pdflatex, pdftex, lualatex, luatex, luajittex, xelatex, xetex, latex, etex, tex, platex, eptex, ptex, uplatex, euptex, uptex,

--engine-executable=COMMAND+OPTIONs
    The actual TeX command to use. [default: ENGINE]

-o, --output=FILE
    The name of output file. [default: JOBNAME .pdf or JOBNAME .dvi]

--fresh
    Clean intermediate files before running TeX. Cannot be used with --output-directory.

--max-iterations=N
    Maximum number of running TeX to resolve cross-references. [default: 3]

--start-with-draft
    Start with draft mode.

--change-directory, --no-change-directory
    Change directory before running TeX. [default: no]

--watch[=ENGINE]
    Watch input files for change. Requires fswatch or inotifywait to be installed. ENGINE is one of ‘fswatch’, ‘inotifywait’ or ‘auto’. [default: auto]

--tex-option=OPTION
    Pass OPTION to TeX as a single option.

--tex-options=OPTIONs
    Pass OPTIONs to TeX as multiple options.

--dvipdfmx-option=OPTION, --dvipdfmx-options=OPTIONs
    Same for dvipdfmx.

--makeindex=COMMAND+OPTIONs
    Command to generate index, such as ‘makeindex’ or ‘mendex’.

--bibtex=COMMAND+OPTIONs
    Command for BibTeX, such as ‘bibtex’ or ‘pbibtex’.

--biber[=COMMAND+OPTIONs]
    Command for Biber.

--makeglossaries[=COMMAND+OPTIONs]
    Command for makeglossaries.

-h, --help
    Print this message and exit.

-v, --version
    Print version information and exit.

-V, --verbose
    Be more verbose.

--color[=WHEN]
    Make ClutTeX's message more colorful. WHEN is one of ‘always’, ‘auto’, or ‘never’. [default: ‘auto’ if Fl -color is omitted, ‘always’ if WHEN is omitted]

--includeonly=NAMEs
    Insert ‘\includeonly{NAMEs}’.

--make-depends=FILE
    Write dependencies as a Makefile rule.

--print-output-directory
    Print the output directory and exit.

--package-support=PKG1[,PKG2,...]
    Enable special support for some shell-escaping packages. Currently supported: minted, epstopdf.

--check-driver=DRIVER
    Check that the correct driver file is loaded. DRIVER is one of ‘dvipdfmx’, ‘dvips’, ‘dvisvgm’.

--shell-escape, --no-shell-escape

--shell-restricted

--synctex=NUMBER

--fmt=FMTNAME

--file-line-error, --no-file-line-error
    [default: yes]

--halt-on-error, --no-halt-on-error
    [default: yes]

--interaction=STRING
    [default: nonstopmode]

--jobname=STRING

--output-directory=DIR
    [default: somewhere in the temporary directory]

--output-format=FORMAT
    FORMAT is ‘pdf’ or ‘dvi’. [default: pdf]

EXIT STATUS